package me.qwq.doghouse.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

public enum MailTaskStatusEnum implements IQueryableEnum {

    PENDING(0, "等待发送"),
    SENDING(1, "发送中"),
    SENT(2, "已发送"),
    FAILED(3, "发送失败"),
    CANCELLED(4, "已取消");

    @EnumValue
    private final int status;
    private final String note;

    MailTaskStatusEnum(int status, String note) {
        this.status = status;
        this.note = note;
    }

    @Override
    public int getStatus() {
        return status;
    }

    @Override
    public String getNote() {
        return note;
    }
}
